global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
logIngest:
  enabled: false
devops:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: devops
    tag: snapshot-12a0d9a
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8014
    protocol: TCP
  resources:
    requests:
      cpu: '0.1'
      memory: 64Mi
    limits:
      cpu: '0.2'
      memory: 128Mi
  probes: {}
  services:
  - name: devops-service
    type: ClusterIP
    port: 8014
    targetPort: 8014
    serviceMonitor:
      enabled: false
      labels:
        release: kube-prometheus-stack
      namespace: freeleaps-monitoring-system
      interval: 30s
      scrapeTimeout: ''
  ingresses: {}
  configs:
    tz: UTC
    appName: devops
    jwtSecretKey: ''
    jwtAlgorithm: HS256
    accessTokenExpireMinutes: '3600'
    refreshTokenExpireDays: '1'
    mongodbName: freeleaps2
    mongodbPort: '27017'
    mongodbUri: mongodb+srv://jetli:8IHKx6dZK8BfugGp@freeleaps2.hanbj.mongodb.net/
    metricsEnabled: 'false'
    probesEnabled: 'true'
    baseGiteaUrl: https://gitea.freeleaps.mathmast.com
    baseReconcileUrl: https://reconcile.freeleaps.mathmast.com
    baseLokiUrl: http://loki-gateway.freeleaps-logging-system
    logBasePath: /app/log/devops
    logRetention: 30 days
    logRotation: 00:00
    logBackupFiles: '5'
    logRotationBytes: '10485760'
    mockMode: 'false'
    mockResponseDelay: '1000'
  vpa:
    minAllowed:
      enabled: false
      cpu: 100m
      memory: 64Mi
    maxAllowed:
      enabled: true
      cpu: 100m
      memory: 128Mi
    controlledResources:
    - cpu
    - memory
